/*********************************************************************************************************************************
 * Autorskie Prawa Majątkowe - Moose Spółka z ograniczoną odpowiedzialnością
 *
 * Copyright 2017 Moose Spółka z ograniczoną odpowiedzialnością
 ********************************************************************************************************************************/

package eu.mooseinc.dell.form.entity.query;

/**
 * Named query for entity {@link eu.mooseinc.dell.form.entity.MembershipType}
 */
public class MembershipTypeQueries {
	/**
	 * Returns all membership types.
	 */
	public static final class GetMembershipTypesQuery {
		/**
		 * Nazwa zapytania.
		 */
		public static final String NAME = "MembershipTypeQuery";

		/**
		 * Zapytanie nazwane.
		 */
		public static final String QUERY = "SELECT n FROM MembershipType n";
	}
}
