/*********************************************************************************************************************************
 * Autorskie Prawa Majątkowe - Moose Spółka z ograniczoną odpowiedzialnością
 *
 * Copyright 2017 Moose Spółka z ograniczoną odpowiedzialnością
 ********************************************************************************************************************************/

package eu.mooseinc.dell.form.service;

/**
 * Interfejs serwisu do obsługi captcha.
 */
public interface CaptchaService {
	/**
	 * Sprawdza, czy captcha wprowadzona przez użytkownika jest prawidłowa.
	 *
	 * @param captcha captcha wprowadzona przez użytkownika
	 *
	 * @return {@code true} jeśli captcha jest prawidłowa, {@code false} w przeciwnym wypadku.
	 */
	boolean isCaptchaValid(String captcha);
}
