/*********************************************************************************************************************************
 * Autorskie Prawa Majątkowe - Moose Spółka z ograniczoną odpowiedzialnością
 *
 * Copyright 2017 Moose Spółka z ograniczoną odpowiedzialnością
 ********************************************************************************************************************************/

package eu.mooseinc.dell.form.exception;

/**
 * Exception that throws if object not exist in database
 */
public class ObjectNotFoundException extends DataAccessObjectException {
	/**
	 * Constructor.
	 *
	 * @param message exception message.
	 */
	public ObjectNotFoundException(String message) {
		super(message);
	}

	/**
	 * Constructor.
	 *
	 * @param cause exception cause.
	 */
	public ObjectNotFoundException(Throwable cause) {
		super(cause);
	}

	/**
	 * Constructor.
	 *
	 * @param message exception message.
	 * @param cause exception cause.
	 */
	public ObjectNotFoundException(String message, Throwable cause) {
		super(message, cause);
	}
}
