/*********************************************************************************************************************************
 * Autorskie Prawa Majątkowe - Moose Spółka z ograniczoną odpowiedzialnością
 *
 * Copyright 2017 Moose Spółka z ograniczoną odpowiedzialnością
 ********************************************************************************************************************************/

package eu.mooseinc.dell.form.type;

/**
 * Type of entities in system.
 */
public enum Entity {
	MEMBERSHIP_TYPE("Membership type");

	/**
	 * Constructor.
	 *
	 * @param name entity name.
	 */
	Entity(final String name) {
		this.name = name;
	}

	/**
	 * Entity name.
	 */
	private final String name;

	/**
	 * ZReturns entity name.
	 *
	 * @return entity name.
	 */
	public String getName() {
		return name;
	}
}
